[rt-users] Problem using "import-1.0-to-2.0" while migrating RT1 to RT2

stabenow stabenow at audilog.fr
Thu Sep 13 04:12:30 EDT 2001


Launching "perl ./import-1.0-to-2.0" in the directory where I downloaded
the script gives the following error messages:

"config" is not defined in %Getopt::Long::EXPORT_TAGS at
/opt/perl/lib/Exporter.pm line 67
        Exporter::export('Getopt::Long', 'main', ':config',
'pass_through') called at /opt/perl/lib/Exporter.pm line 171
        Exporter::import('Getopt::Long', ':config', 'pass_through')
called at ./import-1.0-to-2.0 line 25
        main::BEGIN() called at /opt/perl/lib/Getopt/Long.pm line 0
        eval {...} called at /opt/perl/lib/Getopt/Long.pm line 0
"pass_through" is not exported by the Getopt::Long module at
/opt/perl/lib/Exporter.pm line 111
        Exporter::export('Getopt::Long', 'main', ':config',
'pass_through') called at /opt/perl/lib/Exporter.pm line 171
        Exporter::import('Getopt::Long', ':config', 'pass_through')
called at ./import-1.0-to-2.0 line 25
        main::BEGIN() called at /opt/perl/lib/Getopt/Long.pm line 0
        eval {...} called at /opt/perl/lib/Getopt/Long.pm line 0
Can't continue after import errors at ./import-1.0-to-2.0 line 25
BEGIN failed--compilation aborted at ./import-1.0-to-2.0 line 25.

Has anybody out there encountered the same problem and found a solution?

PS: 1. I have set variable "$DEFAULTQUEUE" to a valid queue from RT1.
    2. I am far from being a "perl wizzard".

Thanks

Christian Stabenow

-- 
-------------------------------------------------------------
Christian Stabenow			Audilog S.A
(33) 01 30 12 05 80			14 Rue Gustave Eiffel
stabenow at audilog.fr			F-78180 Montigny




More information about the RT-Users mailing list